Subject: bug#73539: A channel is impossible to remove if it becomes inaccessible

From: Ludovic Courtès <[email-masked]>
Date: Thu, 28 Nov 2024 09:01:06 +0100

Hi,

Nathan Dehnel <[email-masked]> skribis:

> A channel is inaccessible, so I have disabled it in my home config:
>
>         (simple-service 'channels-service
>                home-channels-service-type
> ;;                (list
> ;;                 (channel
> ;;                  (name 'gooby-channel)
> ;;                  (url
> "https://gentooserver.dehnel.info/gitea/nathan/gooby-channel.git"))
>
> I try to reconfigure the system to get rid of the channel so I can
> guix pull. The reconfigure tries to fetch the channel which fails
> because the server is down, which prevents me from removing the
> channel or updating my system

Sorry for replying this late.  I believe you can work around this by
running ‘guix pull -q’ (ignoring ‘channels.scm’ files) or by explicitly
passing the list of channels that you need with ‘guix pull -C
channels.scm’.

Thanks,
Ludo’.